Engines

List generation engines

GET
/engines

List the generation engines available to the authenticated user, with their capabilities and per-size credit cost. Pass ?product=flat_2_model to limit the response to one product.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Response Body

Successful Response

application/json
  1. response
products*array<>
curl -X GET "https://example.com/engines"
{  "products": [    {      "product": "string",      "default_engine": "string",      "reachable_sizes": [        "string"      ],      "custom_dimensions": true,      "engines": [        {          "id": "string",          "label": "string",          "description": "string",          "provider": "string",          "status": "string",          "badge": "string",          "available": true,          "caps": {            "max_size": "string",            "min_size": "string",            "max_reference_images": 0,            "aspect_ratios": [              "string"            ],            "supports_seed": true,            "supports_mask": true,            "supports_multi_output": true,            "supports_custom_dimensions": true,            "max_pixels": 0,            "notes": "string"          },          "credits_by_size": {            "property1": 0,            "property2": 0          }        }      ]    }  ]}